Black Lives Matter - Action and Equality. ... Adafruit is open and shipping.
0

Issue installing circuitpython-neopixel on RPi
Moderators: adafruit_support_bill, adafruit

Please be positive and constructive with your questions and comments.

Issue installing circuitpython-neopixel on RPi

by mtyeager on Fri Apr 10, 2020 10:26 am

I am having issues installing adafruit-circuitpython-neopixel on a RPi 3B.

I have installed everything listed on https://learn.adafruit.com/circuitpytho ... spberry-pi

When I then try to run: sudo pip3 install rpi_ws281x adafruit-circuitpython-neopixel

I get the following error message.

“Could not find a version that satisfies the requirement Adafruit-Blinka (from adafruit-circuitpython-neopixel) (from versions: ) No matching distribution found for Adafruit-Blinka (from adafruit-circuitpython-neopixel)”

Any suggestions?

mtyeager
 
Posts: 18
Joined: Sat Jan 11, 2020 4:23 pm

Re: Issue installing circuitpython-neopixel on RPi

by tannewt on Fri Apr 10, 2020 2:20 pm

What version of Python are you using? That message usually means that the package is for a newer version of Python.

tannewt
 
Posts: 1685
Joined: Thu Oct 06, 2016 8:48 pm

Re: Issue installing circuitpython-neopixel on RPi

by mtyeager on Fri Apr 10, 2020 2:51 pm

3.5.3

I'll upgrade to the latest and give that a try.

mtyeager
 
Posts: 18
Joined: Sat Jan 11, 2020 4:23 pm

Re: Issue installing circuitpython-neopixel on RPi

by mtyeager on Fri Apr 10, 2020 4:41 pm

Upgraded everything on the RPi.

Still showing Python versio 3.5.3

When I run rpi_ws281x Adafruit-circuitpython-neopixel, I get the same error as above.

I installed Adafruit-Blinka as part of the setup. It appeared to install without a problem.

Cound I have installed the latest version of Adafruit-Blinka, and the Adafruit-circuitpython-neopixel is looking for an earlier version?

I did this before, back in January, without a problem... NeoPixels were working fine. Didn't have this install issue. Has anything been changed recently?

mtyeager
 
Posts: 18
Joined: Sat Jan 11, 2020 4:23 pm

Re: Issue installing circuitpython-neopixel on RPi

by MakerMelissa on Mon Apr 13, 2020 6:17 pm

Can you try it without the sudo? You may have Blinka installed as a user package and adding sudo makes it try and install globally.

MakerMelissa
 
Posts: 144
Joined: Wed Jun 05, 2013 2:10 am

Re: Issue installing circuitpython-neopixel on RPi

by mtyeager on Tue Apr 14, 2020 5:42 pm

YES! That was it. Thanks very much!

mtyeager
 
Posts: 18
Joined: Sat Jan 11, 2020 4:23 pm

Re: Issue installing circuitpython-neopixel on RPi

by MakerMelissa on Tue Apr 14, 2020 5:44 pm

Excellent! Glad to hear.

MakerMelissa
 
Posts: 144
Joined: Wed Jun 05, 2013 2:10 am

Please be positive and constructive with your questions and comments.